Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Mozilla Firefox 3.6 SQLite Version Error
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3118
Location: Berlin

PostPosted: Sun Feb 21, 2010 9:40 am    Post subject: [gelöst] Mozilla Firefox 3.6 SQLite Version Error Reply with quote

default/linux/amd64/10.0/desktop
Code:
firefox -version
Mozilla Firefox 3.6, Copyright (c) 1998 - 2010 mozilla.org

Code:
SQLite Version Error
 The application has been updatet, but your Version of SQLite is too old and the application cannot run.

Code:
dev-db/sqlite version installed: 3.6.22-r2

Code:
ls /usr/portage/dev-db/sqlite
ChangeLog     sqlite-2.8.16-r4.ebuild  sqlite-3.6.21.ebuild
files         sqlite-3.6.19.ebuild     sqlite-3.6.22.ebuild
Manifest      sqlite-3.6.20.ebuild     sqlite-3.6.22-r1.ebuild
metadata.xml  sqlite-3.6.20-r1.ebuild  sqlite-3.6.22-r2.ebuild
Ich habe also die letzte Version installiert.
Code:
emerge @preserved-rebuild
und
Code:
revdep-rebuild
habe ich schon durchgeführt.

Last edited by flammenflitzer on Sun Feb 21, 2010 11:30 am; edited 1 time in total
Back to top
View user's profile Send private message
schachti
Advocate
Advocate


Joined: 28 Jul 2003
Posts: 3765
Location: Gifhorn, Germany

PostPosted: Sun Feb 21, 2010 10:00 am    Post subject: Reply with quote

Das Problem hatte ich nach dem Update auch - ich habe sqlite, xulrunner und firefox mit

Code:
emerge -C sqlite xulrunner mozilla-firefox


deinstalliert und anschliessend mit

Code:
emerge mozilla-firefox


neu installiert - dann ging es. Frag mich bitte nicht, warum. :wink:
_________________
Never argue with an idiot. He brings you down to his level, then beats you with experience.

How-To: Daten verschlüsselt auf DVD speichern.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sun Feb 21, 2010 11:01 am    Post subject: Reply with quote

Ich kann mir einiges vorstellen ;)
xulrunner + firefox installiert -> sqlite aktualisiert (samt inkompatibler Änderung, vllt. dank USE="fts3 secure-delete") -> firefox aktualisiert.
xulrunner ist nun mit einem anderen (inkompatiblen, älteren, ...) sqlite gebaut worden wie firefox -> Badaboom.
Ansonsten ist bei dem Speed mit dem sqlite nach vorne sprintet durchaus einiges an Problemen/Inkompatibilitäten möglich ;)
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3118
Location: Berlin

PostPosted: Sun Feb 21, 2010 11:30 am    Post subject: Reply with quote

schachti wrote:
Das Problem hatte ich nach dem Update auch - ich habe sqlite, xulrunner und firefox mit

Code:
emerge -C sqlite xulrunner mozilla-firefox


deinstalliert und anschliessend mit

Code:
emerge mozilla-firefox


neu installiert - dann ging es. Frag mich bitte nicht, warum. :wink:
Hat hier auch geholfen. Danke
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum